local sfp = {
  adjacent_tile_collision_box = {
    {
      -2,
      -3
    },
    {
      2,
      -2
    }
  },
  adjacent_tile_collision_mask = {
    'ground-tile'
  },
  adjacent_tile_collision_test = {
    'water-tile'
  },
  allowed_effects = {
    'consumption'
  },
  animation = {
    east = {
      filename = '__angelsrefining__/graphics/entity/seafloor-pump/seafloor-pump.png',
      height = 160,
      priority = 'high',
      shift = {
        1,
        0
      },
      width = 160,
      x = 160
    },
    north = {
      filename = '__angelsrefining__/graphics/entity/seafloor-pump/seafloor-pump.png',
      height = 160,
      priority = 'high',
      shift = {
        0,
        -1
      },
      width = 160
    },
    south = {
      filename = '__angelsrefining__/graphics/entity/seafloor-pump/seafloor-pump.png',
      height = 160,
      priority = 'high',
      shift = {
        0,
        1
      },
      width = 160,
      x = 320
    },
    west = {
      filename = '__angelsrefining__/graphics/entity/seafloor-pump/seafloor-pump.png',
      height = 160,
      priority = 'high',
      shift = {
        -1,
        0
      },
      width = 160,
      x = 480
    }
  },
  center_collision_mask = {
    'water-tile',
    'object-layer',
    'player-layer'
  },
  circuit_connector_sprites = {
    {
      blue_led_light_offset = {
        -0.703125,
        -0.09375
      },
      connector_main = {
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04a-base-sequence.png',
        height = 50,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.5,
          -0.234375
        },
        width = 52,
        x = 0,
        y = 150
      },
      led_blue = {
        draw_as_glow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04e-blue-LED-on-sequence.png',
        height = 60,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.5,
          -0.265625
        },
        width = 60,
        x = 0,
        y = 180
      },
      led_blue_off = {
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04f-blue-LED-off-sequence.png',
        height = 44,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.5,
          -0.265625
        },
        width = 46,
        x = 0,
        y = 132
      },
      led_green = {
        draw_as_glow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04h-green-LED-sequence.png',
        height = 46,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.5,
          -0.265625
        },
        width = 48,
        x = 0,
        y = 138
      },
      led_light = {
        intensity = 0,
        size = 0.9
      },
      led_red = {
        draw_as_glow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04i-red-LED-sequence.png',
        height = 46,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.5,
          -0.265625
        },
        width = 48,
        x = 0,
        y = 138
      },
      red_green_led_light_offset = {
        -0.6875,
        -0.203125
      },
      wire_pins = {
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04c-wire-sequence.png',
        height = 58,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.5,
          -0.265625
        },
        width = 62,
        x = 0,
        y = 174
      },
      wire_pins_shadow = {
        draw_as_shadow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04d-wire-shadow-sequence.png',
        height = 54,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.34375,
          -0.140625
        },
        width = 70,
        x = 0,
        y = 162
      }
    },
    {
      blue_led_light_offset = {
        -0.1875,
        0.4375
      },
      connector_main = {
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04a-base-sequence.png',
        height = 50,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.21875,
          0.171875
        },
        width = 52,
        x = 104,
        y = 150
      },
      connector_shadow = {
        draw_as_shadow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04b-base-shadow-sequence.png',
        height = 46,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.078125,
          0.53125
        },
        width = 62,
        x = 124,
        y = 138
      },
      led_blue = {
        draw_as_glow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04e-blue-LED-on-sequence.png',
        height = 60,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.21875,
          0.140625
        },
        width = 60,
        x = 120,
        y = 180
      },
      led_blue_off = {
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04f-blue-LED-off-sequence.png',
        height = 44,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.21875,
          0.140625
        },
        width = 46,
        x = 92,
        y = 132
      },
      led_green = {
        draw_as_glow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04h-green-LED-sequence.png',
        height = 46,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.21875,
          0.140625
        },
        width = 48,
        x = 96,
        y = 138
      },
      led_light = {
        intensity = 0,
        size = 0.9
      },
      led_red = {
        draw_as_glow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04i-red-LED-sequence.png',
        height = 46,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.21875,
          0.140625
        },
        width = 48,
        x = 96,
        y = 138
      },
      red_green_led_light_offset = {
        -0.203125,
        0.328125
      },
      wire_pins = {
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04c-wire-sequence.png',
        height = 58,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.21875,
          0.140625
        },
        width = 62,
        x = 124,
        y = 174
      },
      wire_pins_shadow = {
        draw_as_shadow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04d-wire-shadow-sequence.png',
        height = 54,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.0625,
          0.265625
        },
        width = 70,
        x = 140,
        y = 162
      }
    },
    {
      blue_led_light_offset = {
        -0.703125,
        -0.09375
      },
      connector_main = {
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04a-base-sequence.png',
        height = 50,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.421875,
          -0.140625
        },
        width = 52,
        x = 0,
        y = 100
      },
      led_blue = {
        draw_as_glow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04e-blue-LED-on-sequence.png',
        height = 60,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.421875,
          -0.171875
        },
        width = 60,
        x = 0,
        y = 120
      },
      led_blue_off = {
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04f-blue-LED-off-sequence.png',
        height = 44,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.421875,
          -0.171875
        },
        width = 46,
        x = 0,
        y = 88
      },
      led_green = {
        draw_as_glow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04h-green-LED-sequence.png',
        height = 46,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.421875,
          -0.171875
        },
        width = 48,
        x = 0,
        y = 92
      },
      led_light = {
        intensity = 0,
        size = 0.9
      },
      led_red = {
        draw_as_glow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04i-red-LED-sequence.png',
        height = 46,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.421875,
          -0.171875
        },
        width = 48,
        x = 0,
        y = 92
      },
      red_green_led_light_offset = {
        -0.625,
        -0.1875
      },
      wire_pins = {
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04c-wire-sequence.png',
        height = 58,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.421875,
          -0.171875
        },
        width = 62,
        x = 0,
        y = 116
      },
      wire_pins_shadow = {
        draw_as_shadow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04d-wire-shadow-sequence.png',
        height = 54,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.265625,
          -0.046875
        },
        width = 70,
        x = 0,
        y = 108
      }
    },
    {
      blue_led_light_offset = {
        0.203125,
        0.4375
      },
      connector_main = {
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04a-base-sequence.png',
        height = 50,
        priority = 'low',
        scale = 0.5,
        shift = {
          0.171875,
          0.171875
        },
        width = 52,
        x = 104,
        y = 150
      },
      connector_shadow = {
        draw_as_shadow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04b-base-shadow-sequence.png',
        height = 46,
        priority = 'low',
        scale = 0.5,
        shift = {
          -0.390625,
          -0.3125
        },
        width = 62,
        x = 124,
        y = 138
      },
      led_blue = {
        draw_as_glow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04e-blue-LED-on-sequence.png',
        height = 60,
        priority = 'low',
        scale = 0.5,
        shift = {
          0.171875,
          0.140625
        },
        width = 60,
        x = 120,
        y = 180
      },
      led_blue_off = {
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04f-blue-LED-off-sequence.png',
        height = 44,
        priority = 'low',
        scale = 0.5,
        shift = {
          0.171875,
          0.140625
        },
        width = 46,
        x = 92,
        y = 132
      },
      led_green = {
        draw_as_glow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04h-green-LED-sequence.png',
        height = 46,
        priority = 'low',
        scale = 0.5,
        shift = {
          0.171875,
          0.140625
        },
        width = 48,
        x = 96,
        y = 138
      },
      led_light = {
        intensity = 0,
        size = 0.9
      },
      led_red = {
        draw_as_glow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04i-red-LED-sequence.png',
        height = 46,
        priority = 'low',
        scale = 0.5,
        shift = {
          0.171875,
          0.140625
        },
        width = 48,
        x = 96,
        y = 138
      },
      red_green_led_light_offset = {
        0.1875,
        0.328125
      },
      wire_pins = {
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04c-wire-sequence.png',
        height = 58,
        priority = 'low',
        scale = 0.5,
        shift = {
          0.171875,
          0.140625
        },
        width = 62,
        x = 124,
        y = 174
      },
      wire_pins_shadow = {
        draw_as_shadow = true,
        filename = '__base__/graphics/entity/circuit-connector/hr-ccm-universal-04d-wire-shadow-sequence.png',
        height = 54,
        priority = 'low',
        scale = 0.5,
        shift = {
          0.328125,
          0.265625
        },
        width = 70,
        x = 140,
        y = 162
      }
    }
  },
  circuit_wire_connection_points = {
    {
      shadow = {
        green = {
          -0.125,
          0.4375
        },
        red = {
          0.1875,
          0.453125
        }
      },
      wire = {
        green = {
          -0.671875,
          0.109375
        },
        red = {
          -0.59375,
          -0.0625
        }
      }
    },
    {
      shadow = {
        green = {
          0.28125,
          0.828125
        },
        red = {
          0.5,
          0.78125
        }
      },
      wire = {
        green = {
          0.140625,
          0.421875
        },
        red = {
          0.078125,
          0.1875
        }
      }
    },
    {
      shadow = {
        green = {
          -0.484375,
          0.71875
        },
        red = {
          -0.15625,
          0.734375
        }
      },
      wire = {
        green = {
          -0.671875,
          0.15625
        },
        red = {
          -0.515625,
          0.046875
        }
      }
    },
    {
      shadow = {
        green = {
          -0.03125,
          -0.015625
        },
        red = {
          0.1875,
          -0.0625
        }
      },
      wire = {
        green = {
          0.53125,
          0.421875
        },
        red = {
          0.46875,
          0.1875
        }
      }
    }
  },
  circuit_wire_max_distance = 9,
  collision_box = {
    {
      -1.3999999999999999,
      -2.4500000000000002
    },
    {
      1.3999999999999999,
      0.3
    }
  },
  collision_mask = {
    'object-layer',
    'train-layer'
  },
  corpse = 'small-remnants',
  crafting_categories = {
    'pump-water'
  },
  crafting_speed = 1,
  energy_source = {
    type = 'electric',
    usage_priority = 'secondary-input'
  },
  energy_usage = '300kW',
  fixed_recipe = 'angel-viscous-mud',
  flags = {
    'hidden',
    'placeable-neutral',
    'player-creation',
    'filter-directions'
  },
  fluid = 'water-viscous-mud',
  fluid_box_tile_collision_test = {
    'ground-tile'
  },
  fluid_boxes = {
    {
      base_area = 1,
      base_level = 1,
      pipe_connections = {
        {
          position = {
            0,
            1
          },
          type = 'output'
        }
      },
      pipe_covers = {
        east = {
          layers = {
            {
              filename = '__reskins-library__/graphics/entity/common/pipe-covers/iron/pipe-cover-east.png',
              height = 64,
              hr_version = {
                filename = '__reskins-library__/graphics/entity/common/pipe-covers/iron/hr-pipe-cover-east.png',
                height = 128,
                priority = 'extra-high',
                scale = 0.5,
                width = 128
              },
              priority = 'extra-high',
              width = 64
            },
            {
              draw_as_shadow = true,
              filename = '__reskins-library__/graphics/entity/common/pipe-covers/shadows/pipe-cover-east-shadow.png',
              height = 64,
              hr_version = {
                draw_as_shadow = true,
                filename = '__reskins-library__/graphics/entity/common/pipe-covers/shadows/hr-pipe-cover-east-shadow.png',
                height = 128,
                priority = 'extra-high',
                scale = 0.5,
                width = 128
              },
              priority = 'extra-high',
              width = 64
            }
          }
        },
        north = {
          layers = {
            {
              filename = '__reskins-library__/graphics/entity/common/pipe-covers/iron/pipe-cover-north.png',
              height = 64,
              hr_version = {
                filename = '__reskins-library__/graphics/entity/common/pipe-covers/iron/hr-pipe-cover-north.png',
                height = 128,
                priority = 'extra-high',
                scale = 0.5,
                width = 128
              },
              priority = 'extra-high',
              width = 64
            },
            {
              draw_as_shadow = true,
              filename = '__reskins-library__/graphics/entity/common/pipe-covers/shadows/pipe-cover-north-shadow.png',
              height = 64,
              hr_version = {
                draw_as_shadow = true,
                filename = '__reskins-library__/graphics/entity/common/pipe-covers/shadows/hr-pipe-cover-north-shadow.png',
                height = 128,
                priority = 'extra-high',
                scale = 0.5,
                width = 128
              },
              priority = 'extra-high',
              width = 64
            }
          }
        },
        south = {
          layers = {
            {
              filename = '__reskins-library__/graphics/entity/common/pipe-covers/iron/pipe-cover-south.png',
              height = 64,
              hr_version = {
                filename = '__reskins-library__/graphics/entity/common/pipe-covers/iron/hr-pipe-cover-south.png',
                height = 128,
                priority = 'extra-high',
                scale = 0.5,
                width = 128
              },
              priority = 'extra-high',
              width = 64
            },
            {
              draw_as_shadow = true,
              filename = '__reskins-library__/graphics/entity/common/pipe-covers/shadows/pipe-cover-south-shadow.png',
              height = 64,
              hr_version = {
                draw_as_shadow = true,
                filename = '__reskins-library__/graphics/entity/common/pipe-covers/shadows/hr-pipe-cover-south-shadow.png',
                height = 128,
                priority = 'extra-high',
                scale = 0.5,
                width = 128
              },
              priority = 'extra-high',
              width = 64
            }
          }
        },
        west = {
          layers = {
            {
              filename = '__reskins-library__/graphics/entity/common/pipe-covers/iron/pipe-cover-west.png',
              height = 64,
              hr_version = {
                filename = '__reskins-library__/graphics/entity/common/pipe-covers/iron/hr-pipe-cover-west.png',
                height = 128,
                priority = 'extra-high',
                scale = 0.5,
                width = 128
              },
              priority = 'extra-high',
              width = 64
            },
            {
              draw_as_shadow = true,
              filename = '__reskins-library__/graphics/entity/common/pipe-covers/shadows/pipe-cover-west-shadow.png',
              height = 64,
              hr_version = {
                draw_as_shadow = true,
                filename = '__reskins-library__/graphics/entity/common/pipe-covers/shadows/hr-pipe-cover-west-shadow.png',
                height = 128,
                priority = 'extra-high',
                scale = 0.5,
                width = 128
              },
              priority = 'extra-high',
              width = 64
            }
          }
        }
      },
      production_type = 'output'
    },
    off_when_no_fluid_recipe = false
  },
  icon = '__angelsrefining__/graphics/icons/seafloor-pump-ico.png',
  icon_size = 32,
  localised_description = {
    'entity-description.seafloor-pump'
  },
  localised_name = {
    'entity-name.seafloor-pump-placeholder'
  },
  max_health = 80,
  minable = {
    mining_time = 1,
    result = 'seafloor-pump'
  },
  name = 'seafloor-pump',
  placeable_by = {
    count = 1,
    item = 'seafloor-pump'
  },
  placeable_position_visualization = {
    filename = '__core__/graphics/cursor-boxes-32x32.png',
    height = 64,
    priority = 'extra-high-no-scale',
    scale = 0.5,
    width = 64,
    x = 192
  },
  resistances = {
    {
      percent = 70,
      type = 'fire'
    }
  },
  selection_box = {
    {
      -1.6000000000000001,
      -2.4900000000000002
    },
    {
      1.6000000000000001,
      0.49000000000000004
    }
  },
  subgroup = 'other',
  tile_height = 3,
  tile_width = 3,
  type = 'assembling-machine',
  vehicle_impact_sound = {
    filename = '__base__/sound/car-metal-impact.ogg',
    volume = 0.65
  }
}
